---
title: List Bank VA
description: List all active banks assigned to a particular virtual account.
---

One or more Banks can be assigned to a virtual account for accepting payments. This API will list all active banks assigned to a particular virtual account. We must pass merchant id, virtual account no and UID in request, then bank details like bank id, bank name, account no, ifsc code will be displayed of all the banks.

#### POST

```
https://kraken.airpay.co.in/airpay/va/api/
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| Content-Type  required | String | application/x-www-form-urlencoded |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| action  required | String | Action to perform - banks | `banks` |
| private_key  required | Alphanumeric | Private Key (length 10-200)hash('sha256', @secretkey:username|:password) | `71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe` |
| merchant_id  required | Numeric | Merchant Id | `1` |
| virtual_account_number  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required | `2293640000000010242` |
| UID  required | Numeric | Virtual account number or UID Unique user identifier from the merchant is required |
| checksum  required | Alphanumeric | Hash generated by : sha1(virtual_account_number.UID.action.merchant_id.private_key) | `fb162c92c0d247669890641d26aed72e2bd28a77` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| STATUS  required | Number | Status CodeSuccess - 200 Transaction is successTransaction in Process - 211 Transaction in processingFailed - 400 Transaction in failedDropped - 401 The transaction will not register properlyCancel - 402 payment that has not yet been processedIncomplete - 403 Not recieved any call back from bankBounced - 405 The transaction has bouncedNo Records - 503 There is no records foundNo records to display - 167 There is no records found | `200,400` |
| MESSAGE  required | String | Status MessageSuccess - 200 Transaction is successTransaction in Process - 211 Transaction in processingFailed - 400 Transaction in failedDropped - 401 The transaction will not register properlyCancel - 402 payment that has not yet been processedIncomplete - 403 Not recieved any call back from bankBounced - 405 The transaction has bouncedNo Records - 503 There is no records foundNo records to display - 167 There is no records found | `success,Failed` |
| records  required | Json | Data records, which containsBANK_ID - Bank idBANK_NAME - Bank nameACCOUNT_NUMBER - Account numberIFSC_CODE - ifsc codeSTATUS - statusY - YesN - NoVERIFIED - Verified or notY - YesN - NoCREATED_ON - Created dateUPDATED_ON - Updated date |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/va/api/' \
--form 'action=banks' \
--form 'private_key=71a4efaf21c79864ec154babfc494f45fd1f65a570805084965d5b29486f1dfe' \
--form 'merchant_id=1' \
--form 'virtual_account_number=2293640000000010242' \
--form 'checksum=fb162c92c0d247669890641d26aed72e2bd28a77'
```

### Success Response

```json
HTTP/1.1 200 OK
     {
         "STATUS": "200",
         "MESSAGE": "Success",
         "RECORDS": [{
                         "BANK_ID": "8",
                         "BANK_NAME": "SC",
                         "ACCOUNT_NUMBER": "6546797546469",
                         "IFSC_CODE": "SC544646464",
                         "STATUS": "Y",
                         "VERIFIED": "N",
                         "CREATED_ON": "14-01-2019 12:03:56",
                         "UPDATED_ON": "14-01-2019 12:03:56"
                     }]
     }
```

### Error Response

```json
HTTP/1.1 200 OK
{
  "STATUS": "400",
  "MESSAGE": "Failed"
}
```